Page MenuHomePhabricator

Sunset Wikimetrics
Open, HighPublic

Description

Wikimetrics should be taken out of service.

  • Notify Wikimetrics users and point them to Event Metrics
  • Update Wikimetrics documentation on Wikitech, mediawiki.org and Meta
  • Update README.md
  • Redirect metrics.wmflabs.org to eventmetrics.wmflabs.org
  • Close related tasks, tags or projects in Phabricator
  • Send an email to lists indicating it's done
  • Close Wikimetrics mailing list

Details

Related Gerrit Patches:
mediawiki/vagrant : masterRemove all references to Wikimetrics
operations/puppet : productionRemove all references to Wikimetrics
analytics/wikimetrics : masterAdd alert for decommissioning of Wikimetrics

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes

These are the docs that have been added an alert to notify of Wikimetrics' sunsetting.

WIKITECH
https://wikitech.wikimedia.org/wiki/Wikimetrics
https://wikitech.wikimedia.org/wiki/Analytics/Systems/Wikimetrics
https://wikitech.wikimedia.org/wiki/Analytics/Systems/Wikimetrics/Adding_New_Features
https://wikitech.wikimedia.org/wiki/Analytics/Systems/Wikimetrics/Adding_New_Features/CentralAuth_Cohorts
https://wikitech.wikimedia.org/wiki/Analytics/Systems/Wikimetrics/Adding_New_Features/Tag_Cohorts
https://wikitech.wikimedia.org/wiki/Analytics/Systems/Wikimetrics/Global_metrics
https://wikitech.wikimedia.org/wiki/Analytics/Team/Onboarding
https://wikitech.wikimedia.org/wiki/Analytics
https://wikitech.wikimedia.org/wiki/Nova_Resource:Analytics/Documentation
https://wikitech.wikimedia.org/wiki/Key_Wikimedia_software_projects

MEDIAWIKI
https://www.mediawiki.org/wiki/Analytics/Wikimetrics/Standard_tags
https://www.mediawiki.org/wiki/Analytics/Wikimetrics
https://www.mediawiki.org/wiki/Analytics/Wikimetrics/FAQ
https://www.mediawiki.org/wiki/Analytics/Archive/Wikimetrics/Adding_New_Features
https://www.mediawiki.org/wiki/Analytics/Archive/Wikimetrics/Adding_New_Features/Tag_Cohorts
https://www.mediawiki.org/wiki/Analytics/Archive/Wikimetrics/Adding_New_Features/CentralAuth_Cohorts
https://www.mediawiki.org/wiki/Analytics/Wikimetrics/Help
https://www.mediawiki.org/wiki/Analytics/Epics/Wikimetrics_cohort_sharing
https://www.mediawiki.org/wiki/Analytics/Wikimetrics/status
https://www.mediawiki.org/wiki/Analytics/Wikimetrics/CommitGuidelines

META
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Wikimetrics_Training_Overview
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Wikimetrics
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/Wikimetrics_index
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Wikimetrics/Forms
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Logging_into_Wikimetrics
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1What_is_Wikimetrics%3F
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1How_does_Wikimetrics_Work%3F
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Data_Analysis_with_Wikimetrics
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/4Wikimetrics
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Wikimetrics/Forms/Short
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Feedback
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/What_is_Wiki_Metrics%3F
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Wikiresearch_webinars
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Invalid_Users
https://meta.wikimedia.org/wiki/Learning_and_Evaluation/Archive/Learning_modules/1Remove_Cohort
mforns updated the task description. (Show Details)Mar 26 2019, 3:32 PM
mforns updated the task description. (Show Details)
mforns updated the task description. (Show Details)Mar 26 2019, 6:21 PM

Change 499304 had a related patch set uploaded (by Mforns; owner: Mforns):
[operations/puppet@production] Remove all references to Wikimetrics

https://gerrit.wikimedia.org/r/499304

Change 499305 had a related patch set uploaded (by Mforns; owner: Mforns):
[mediawiki/vagrant@master] Remove all references to Wikimetrics

https://gerrit.wikimedia.org/r/499305

Hi, we have been using the Wikimetrics since at least 2015, tracking and reporting the activities of Education Program participants and Wikiclubs of Wikimedia Armenia. We use this tool actively on a monthly basis creating reports for about 17 different clubs on 3 Wikimedia Projects (Wikipedia, Wiktionary, and Wikisource). That's why the suspension of the Wikimetrics really worries us, as we have to reset our reporting system entirely in a month. I have tried the Event Metrics in the past but it lacks a lot of options, particularly, which worries me a lot, there is no possibility to track users activity on Wiktionary and Wikisource (or on other Wikimedia Projects except Wikidata and Commons). We now face the situation that after March, the contribution of users on Wiktionary and Wikisource will be unreported to the club and project coordinators, community, and donors. Is there a plan to add other Wikimedia Projects to the tool? Is there anything we can do to ensure that other Wikimedia Projects will be included in the Event Metrics before Wikimetrics is down?

I second this. Event Metrics lack important functions. I understand the fact that tools get switched off, but we should not do this 5 days before grant reports are due. It should be announced at least 1 year ahead - at a time when metrics are formulated in grant proposals.

ema added a subscriber: ema.Mar 27 2019, 11:42 AM

@mforns the mailing list can be removed as mentioned on wikitech: https://wikitech.wikimedia.org/wiki/Mailman#Remove_a_mailing_list

Let me know if/when I should do it!

Nuria added a comment.Mar 27 2019, 3:00 PM

@Vojtech.dostal
As of this month event metrics supports couple additional projects: https://phabricator.wikimedia.org/T217058 (wiktionary and wikivoyage) . Please be so kind as to file phab tickets with what other functionality is missing. Event metrics has gotten quite a bit of work this quarter so I encourage you to try it again.

I understand the fact that tools get switched off, but we should not do this 5 days before grant reports are due.

Sorry about this, announcement went on to all users whose e-mails we have and to couple e-mail lists 1 month ago. Again, please let us know what are the lack offs in event metrics that prevent you to do your reporting.

@mforns the mailing list can be removed as mentioned on wikitech: https://wikitech.wikimedia.org/wiki/Mailman#Remove_a_mailing_list
Let me know if/when I should do it!

@ema Thanks for looking into this! Reading the docs, I think what we want is to keep the archive of the list, so our preferred option would be just to disable the Wikimetrics mailing list (not delete). You can proceed with that, whenever you can. Thanks a lot!

Mentioned in SAL (#wikimedia-operations) [2019-03-27T17:10:49Z] <ema> fermium: /usr/local/sbin/disable_list wikimetrics T211835

mforns updated the task description. (Show Details)Mar 27 2019, 8:19 PM

Added a subtask with the last remaining action items, see: T219446

mforns moved this task from In Progress to Paused on the Analytics-Kanban board.Mar 27 2019, 8:22 PM
mforns updated the task description. (Show Details)Mar 28 2019, 7:18 AM
mforns moved this task from Paused to Done on the Analytics-Kanban board.
mforns moved this task from Done to Paused on the Analytics-Kanban board.

Change 499305 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove all references to Wikimetrics

https://gerrit.wikimedia.org/r/499305

fgiunchedi added a subscriber: fgiunchedi.

Removing mailing-lists tag since work there is done.

fdans closed this task as Resolved.Sep 12 2019, 5:15 PM
fdans reopened this task as Open.
fdans moved this task from Paused to Parent Tasks on the Analytics-Kanban board.